## libdigest-sha1-perl 2.11-2-maemo0

=== .pc/scratchbox-disable-tests.patch/Makefile ===
# This Makefile is for the Digest::SHA1 extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.17 (Revision: 1.133) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: (q[INSTALLDIRS=vendor])
#
#   MakeMaker Parameters:

#     NAME => q[Digest::SHA1]
#     PREREQ_PM => { Digest::base=>q[1.00] }
#     VERSION_FROM => q[SHA1.pm]
#     dist => { COMPRESS=>q[gzip -9f], SUFFIX=>q[gz] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /scratchbox/tools/lib/perl5/5.8.4/i686-linux-thread-multi/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = ar
CC = gcc 
CCCDLFLAGS = -fpic
CCDLFLAGS = -Wl,-E
DLEXT = so
DLSRC = dl_dlopen.xs
LD = gcc 
LDDLFLAGS = -shared
LDFLAGS =  -L/usr/local/lib
LIBC = /lib/libc-2.3.2.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 2.6.16-2-686-smp
RANLIB = :
SITELIBEXP = /scratchbox/tools/lib/perl5/site_perl/5.8.4
SITEARCHEXP = /scratchbox/tools/lib/perl5/site_perl/5.8.4/i686-linux-thread-multi
SO = so
EXE_EXT = 
FULL_AR = /usr/bin/ar
VENDORARCHEXP = /usr/lib/perl5
VENDORLIBEXP = /usr/share/perl5


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
NAME = Digest::SHA1
NAME_SYM = Digest_SHA1
VERSION = 2.11
VERSION_MACRO = VERSION
VERSION_SYM = 2_11
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 2.11
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 0
MAN3EXT = 0
INSTALLDIRS = vendor
DESTDIR = 
PREFIX = /usr
PERLPREFIX = $(PREFIX)
SITEPREFIX = /scratchbox/tools
VENDORPREFIX = $(PREFIX)
INSTALLPRIVLIB = /scratchbox/tools/lib/perl5/5.8.4
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = /host_usr/perl
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = $(VENDORPREFIX)/share/perl5
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = /host_usr/perl
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = /host_usr/perl
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = $(VENDORPREFIX)/lib/perl5
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = /scratchbox/tools/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = $(SITEPREFIX)/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = $(VENDORPREFIX)/bin
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = $(PERLPREFIX)/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLMAN1DIR = $(PERLPREFIX)/share/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = $(SITEPREFIX)/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = $(VENDORPREFIX)/share/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = $(PERLPREFIX)/share/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = $(SITEPREFIX)/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = $(VENDORPREFIX)/share/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /scratchbox/tools/lib/perl5/5.8.4
PERL_ARCHLIB = /scratchbox/tools/lib/perl5/5.8.4/i686-linux-thread-multi
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = $(FIRST_MAKEFILE).old
MAKE_APERL_FILE = $(FIRST_MAKEFILE).aperl
PERLMAINCC = $(CC)
PERL_INC = /scratchbox/tools/lib/perl5/5.8.4/i686-linux-thread-multi/CORE
PERL = /scratchbox/tools/bin/perl.bin
FULLPERL = /scratchbox/tools/bin/perl.bin
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /scratchbox/tools/lib/perl5/5.8.4/ExtUtils/MakeMaker.pm
MM_VERSION  = 6.17
MM_REVISION = 1.133

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
FULLEXT = Digest/SHA1
BASEEXT = SHA1
PARENT_NAME = Digest
DLBASE = $(BASEEXT)
VERSION_FROM = SHA1.pm
OBJECT = $(BASEEXT)$(OBJ_EXT)
LDFROM = $(OBJECT)
LINKTYPE = dynamic

# Handy lists of source code files:
XS_FILES = SHA1.xs
C_FILES  = SHA1.c
O_FILES  = SHA1.o
H_FILES  = 
MAN1PODS = 
MAN3PODS = SHA1.pm

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)$(DIRFILESEP)Config.pm $(PERL_INC)$(DIRFILESEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)/Digest
INST_ARCHLIBDIR  = $(INST_ARCHLIB)/Digest

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = $(INST_ARCHAUTODIR)/$(BASEEXT)$(LIB_EXT)
INST_DYNAMIC     = $(INST_ARCHAUTODIR)/$(DLBASE).$(DLEXT)
INST_BOOT        = $(INST_ARCHAUTODIR)/$(BASEEXT).bs

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = SHA1.pm

PM_TO_BLIB = SHA1.pm \
	$(INST_LIB)/Digest/SHA1.pm


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 1.42
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(PERLRUN)  -e 'use AutoSplit;  autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1)'



# --- MakeMaker tool_xsubpp section:

XSUBPPDIR = /scratchbox/tools/lib/perl5/5.8.4/ExtUtils
XSUBPP = $(XSUBPPDIR)/xsubpp
XSPROTOARG = 
XSUBPPDEPS = /scratchbox/tools/lib/perl5/5.8.4/ExtUtils/typemap typemap $(XSUBPP)
XSUBPPARGS = -typemap /scratchbox/tools/lib/perl5/5.8.4/ExtUtils/typemap -typemap typemap
XSUBPP_EXTRA_ARGS = 


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(SHELL) -c true
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(PERLRUN) "-MExtUtils::Command" -e mkpath
EQUALIZE_TIMESTAMP = $(PERLRUN) "-MExtUtils::Command" -e eqtime
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(PERLRUN) -MExtUtils::Install -e 'install({@ARGV}, '\''$(VERBINST)'\'', 0, '\''$(UNINST)'\'');'
DOC_INSTALL = $(PERLRUN) "-MExtUtils::Command::MM" -e perllocal_install
UNINSTALL = $(PERLRUN) "-MExtUtils::Command::MM" -e uninstall
WARN_IF_OLD_PACKLIST = $(PERLRUN) "-MExtUtils::Command::MM" -e warn_if_old_packlist


# --- MakeMaker makemakerdflt section:
makemakerdflt: all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip -9f
SUFFIX = gz
SHAR = shar
PREOP = $(NOECHO) $(NOOP)
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist
DISTNAME = Digest-SHA1
DISTVNAME = Digest-SHA1-2.11


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:

CCFLAGS = -D_REENTRANT -D_GNU_SOURCE -DTHREADS_HAVE_PIDS -DAPPLLIB_EXP="/host_usr/perl" -fno-strict-aliasing -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
OPTIMIZE = -O2
PERLTYPE = 
MPOLLUTE = 


# --- MakeMaker const_loadlibs section:

# Digest::SHA1 might depend on some other libraries:
# See ExtUtils::Liblist for details
#
LD_RUN_PATH = 


# --- MakeMaker const_cccmd section:
CCCMD = $(CC) -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION)

# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIB="$(LIB)"\
	LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	PREFIX="$(PREFIX)"\
	OPTIMIZE="$(OPTIMIZE)"\
	PASTHRU_DEFINE="$(PASTHRU_DEFINE)"\
	PASTHRU_INC="$(PASTHRU_INC)"


# --- MakeMaker special_targets section:
.SUFFIXES: .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest



# --- MakeMaker c_o section:

.c.i:
	/scratchbox/compilers/host-gcc/bin/gcc -specs=/scratchbox/compilers/host-gcc/host-gcc.specs -E -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c > $*.i

.c.s:
	$(CCCMD) -S $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c

.c$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c

.C$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.C

.cpp$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cpp

.cxx$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cxx

.cc$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cc


# --- MakeMaker xs_c section:

.xs.c:
	$(PERLRUN) $(XSUBPP) $(XSPROTOARG) $(XSUBPPARGS) $(XSUBPP_EXTRA_ARGS) $*.xs > $*.xsc && $(MV) $*.xsc $*.c


# --- MakeMaker xs_o section:

.xs$(OBJ_EXT):
	$(PERLRUN) $(XSUBPP) $(XSPROTOARG) $(XSUBPPARGS) $*.xs > $*.xsc && $(MV) $*.xsc $*.c
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c


# --- MakeMaker top_targets section:
all :: pure_all manifypods
	$(NOECHO) $(NOOP)


pure_all :: config pm_to_blib subdirs linkext
	$(NOECHO) $(NOOP)

subdirs :: $(MYEXTLIB)
	$(NOECHO) $(NOOP)

config :: $(FIRST_MAKEFILE) $(INST_LIBDIR)$(DIRFILESEP).exists
	$(NOECHO) $(NOOP)

config :: $(INST_ARCHAUTODIR)$(DIRFILESEP).exists
	$(NOECHO) $(NOOP)

config :: $(INST_AUTODIR)$(DIRFILESEP).exists
	$(NOECHO) $(NOOP)

$(INST_AUTODIR)/.exists :: /scratchbox/tools/lib/perl5/5.8.4/i686-linux-thread-multi/CORE/perl.h
	$(NOECHO) $(MKPATH) $(INST_AUTODIR)
	$(NOECHO) $(EQUALIZE_TIMESTAMP) /scratchbox/tools/lib/perl5/5.8.4/i686-linux-thread-multi/CORE/perl.h $(INST_AUTODIR)/.exists

	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_AUTODIR)

$(INST_LIBDIR)/.exists :: /scratchbox/tools/lib/perl5/5.8.4/i686-linux-thread-multi/CORE/perl.h
	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
	$(NOECHO) $(EQUALIZE_TIMESTAMP) /scratchbox/tools/lib/perl5/5.8.4/i686-linux-thread-multi/CORE/perl.h $(INST_LIBDIR)/.exists

	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_LIBDIR)

$(INST_ARCHAUTODIR)/.exists :: /scratchbox/tools/lib/perl5/5.8.4/i686-linux-thread-multi/CORE/perl.h
	$(NOECHO) $(MKPATH) $(INST_ARCHAUTODIR)
	$(NOECHO) $(EQUALIZE_TIMESTAMP) /scratchbox/tools/lib/perl5/5.8.4/i686-linux-thread-multi/CORE/perl.h $(INST_ARCHAUTODIR)/.exists

	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_ARCHAUTODIR)

config :: $(INST_MAN3DIR)$(DIRFILESEP).exists
	$(NOECHO) $(NOOP)


$(INST_MAN3DIR)/.exists :: /scratchbox/tools/lib/perl5/5.8.4/i686-linux-thread-multi/CORE/perl.h
	$(NOECHO) $(MKPATH) $(INST_MAN3DIR)
	$(NOECHO) $(EQUALIZE_TIMESTAMP) /scratchbox/tools/lib/perl5/5.8.4/i686-linux-thread-multi/CORE/perl.h $(INST_MAN3DIR)/.exists

	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_MAN3DIR)

help:
	perldoc ExtUtils::MakeMaker


# --- MakeMaker linkext section:

linkext :: $(LINKTYPE)
	$(NOECHO) $(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic section:

dynamic :: $(FIRST_MAKEFILE) $(INST_DYNAMIC) $(INST_BOOT)
	$(NOECHO) $(NOOP)


# --- MakeMaker dynamic_bs section:
BOOTSTRAP = $(BASEEXT).bs

# As Mkbootstrap might not write a file (if none is required)
# we use touch to prevent make continually trying to remake it.
# The DynaLoader only reads a non-empty file.
$(BOOTSTRAP): $(FIRST_MAKEFILE) $(BOOTDEP) $(INST_ARCHAUTODIR)$(DIRFILESEP).exists

=== .pc/changelog.patch/debian/changelog ===
libdigest-sha1-perl (2.11-2) unstable; urgency=low

  * debian/control had a duplicated (but not conflicting) Standards-
    version line - Fixed.

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 20 Dec 2006 22:16:16 -0600

libdigest-sha1-perl (2.11-1) unstable; urgency=low

  * New upstream release
  * New maintainer (in response to Matthias' mail, see
    http://lists.debian.org/debian-devel/2006/05/msg02947.html)
    Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
    via  Zak B. Elep <zakame@spunge.org>
  * debian/control:
    + Bump Standards-Version.
    + Bump debhelper to version 5; set debian/compat accordingly.
  * debian/copyright:
    + Update maintenance notes.

 -- Zak B. Elep <zakame@spunge.org>  Thu, 29 Jun 2006 11:38:37 +0800

libdigest-sha1-perl (2.10-1) unstable; urgency=low

  * New maintainer. Closes:#274127
  * New Upstream version. Closes: #214305,#253063.
    - Implemented sha1_transform, required to implement NIST FIPS 186-2.
    - Sync up with the Digest::MD5 implementation.
    - Various minor fixes.
  * Updated Standards-Version: (no changes).
  * Added debian/watch file.
  * Updated Section: (interpreters => perl).

 -- Matthias Urlichs <smurf@debian.org>  Sat,  2 Oct 2004 15:16:36 +0200

libdigest-sha1-perl (2.01-0.1) unstable; urgency=low

  * NMU (inactive maintainer)
  * New upstream version (closes: Bug#168082)
  * Add pedantic boilerplate to debian/copyright (closes: Bug#157578)

 -- Ivan Kohler <ivan-debian@420.am>  Wed,  6 Nov 2002 10:55:44 -0800

libdigest-sha1-perl (2.00-1.1) unstable; urgency=low

  * NMU for perl 5.8. No changes except build-dep on same.

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Aug 2002 21:43:29 -0400

libdigest-sha1-perl (2.00-1) unstable; urgency=low

  * Split from libdigest-md5-perl-2.13, damnit.

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 18 Mar 2001 17:47:56 -0500

=== debian/changelog ===
libdigest-sha1-perl (2.11-2-maemo0) experimental; urgency=low

  * removed references to PL_unittestav to compile against perl 5.8
  * disabled tests to make the build work in scratchbox armel target

 -- Philipp Zabel <philipp.zabel@gmail.com>  Sat, 12 Jul 2008 18:24:13 +0200

=== debian/control ===
Source: libdigest-sha1-perl
Section: perl
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Zak B. Elep <zakame@spunge.org>, Carlo Segre <segre@debian.org>, Gunnar Wolf <gwolf@debian.org>
XS-Vcs-Svn: svn://svn.debian.org/pkg-perl/packages/libdigest-sha1-perl/trunk/
Build-Depends: debhelper (>= 5.0.0), perl (>= 5.8)
Standards-Version: 3.7.2

Package: libdigest-sha1-perl
Architecture: any
Priority: optional
Section: perl
Depends: ${perl:Depends}, ${shlibs:Depends}
Conflicts: libdigest-md5-perl (<< 2.13)
Description: NIST SHA-1 message digest algorithm
 The Digest::SHA1 module allows you to use the NIST SHA-1 message
 digest algorithm from within Perl programs.  The algorithm takes as
 input a message of arbitrary length and produces as output a 160-bit
 "fingerprint" or "message digest" of the input.

=== .pc/scratchbox-disable-tests.patch/debian/rules ===
#!/usr/bin/make -f
# -*- Makefile -*-

# Make sure perl is defined (allow overriding from the command line
PERL ?= /usr/bin/perl

# Set our build directory
b := $(shell pwd)/debian/libdigest-sha1-perl

arrange: arrange-stamp
arrange-stamp: install
	dh_testdir
	dh_installdirs
	touch arrange-stamp

binary: binary-stamp
binary-stamp: binary-indep binary-arch
	dh_testdir
	touch binary-stamp

binary-arch: binary-arch-stamp
binary-arch-stamp: arrange
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installchangelogs Changes
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	touch binary-arch-stamp

binary-indep: binary-indep-stamp
binary-indep-stamp: arrange
	dh_testdir
	touch binary-indep-stamp

build: build-stamp
build-stamp: config
	dh_testdir
	$(MAKE)
	$(MAKE) test
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	if [ -e Makefile ]; then $(MAKE) -i distclean; fi
	dh_clean arrange-stamp binary-stamp binary-arch-stamp binary-indep-stamp build-stamp config-stamp install-stamp

config: config-stamp
config-stamp:
	dh_testdir
	$(PERL) Makefile.PL INSTALLDIRS=vendor
	touch config-stamp

install: install-stamp
install-stamp: build
	dh_testdir
	$(MAKE) install PREFIX=$(b)/usr
	touch install-stamp

.PHONY: arrange binary binary-arch binary-indep build clean config install

=== debian/rules ===
#!/usr/bin/make -f
# -*- Makefile -*-

# Make sure perl is defined (allow overriding from the command line
PERL ?= /usr/bin/perl

# Set our build directory
b := $(shell pwd)/debian/libdigest-sha1-perl

arrange: arrange-stamp
arrange-stamp: install
	dh_testdir
	dh_installdirs
	touch arrange-stamp

binary: binary-stamp
binary-stamp: binary-indep binary-arch
	dh_testdir
	touch binary-stamp

binary-arch: binary-arch-stamp
binary-arch-stamp: arrange
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installchangelogs Changes
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	touch binary-arch-stamp

binary-indep: binary-indep-stamp
binary-indep-stamp: arrange
	dh_testdir
	touch binary-indep-stamp

build: build-stamp
build-stamp: config
	dh_testdir
	$(MAKE)
	$(MAKE) test
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	if [ -e Makefile ]; then $(MAKE) -i distclean; fi
	dh_clean arrange-stamp binary-stamp binary-arch-stamp binary-indep-stamp build-stamp config-stamp install-stamp

config: config-stamp
config-stamp:
	dh_testdir
	$(PERL) Makefile.PL INSTALLDIRS=vendor
	sed -i 's/test ::.*/test ::/' Makefile
	touch config-stamp

install: install-stamp
install-stamp: build
	dh_testdir
	$(MAKE) install PREFIX=$(b)/usr
	touch install-stamp

.PHONY: arrange binary binary-arch binary-indep build clean config install

=== debian/watch ===
version=2
http://www.cpan.org/modules/by-module/Digest/Digest-SHA1-(.*)\.tar\.gz

## libdigest-sha1-perl 2.13

=== debian/changelog ===
libdigest-sha1-perl (2.13-2~20250806155252.20+trixie) trusty; urgency=medium

  [ Mario Fetka ]
  * build for debian

  [ jenkins-debian-glue Autobuilder ]
  * SNAPSHOT autobuild for unreleased 2.13-2 via jenkins-debian-glue.

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Wed, 06 Aug 2025 17:52:52 +0200

libdigest-sha1-perl (2.13-1~gekkio1) trusty; urgency=low

  * Initial Release.

 -- Joonas Javanainen <joonas.javanainen@gmail.com>  Mon, 24 Mar 2014 13:17:54 +0200

=== debian/control ===
Source: libdigest-sha1-perl
Section: perl
Priority: optional
Maintainer: Joonas Javanainen <joonas.javanainen@gmail.com>
Build-Depends: debhelper (>= 9.20120312),
 perl
Standards-Version: 3.9.4
Homepage: https://metacpan.org/release/Digest-SHA1

Package: libdigest-sha1-perl
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: Perl interface to the SHA-1 algorithm
 The Digest::SHA1 module allows you to use the NIST SHA-1 message digest
 algorithm from within Perl programs. The algorithm takes as input a message
 of arbitrary length and produces as output a 160-bit "fingerprint" or
 "message digest" of the input.
 .
 In 2005, security flaws were identified in SHA-1, namely that a possible
 mathematical weakness might exist, indicating that a stronger hash function
 would be desirable. The Digest::SHA module implements the stronger algorithms
 in the SHA family.
 .
 The Digest::SHA1 module provide a procedural interface for simple use, as
 well as an object oriented interface that can handle messages of arbitrary
 length and which can read files directly.

=== debian/watch ===
version=3
https://metacpan.org/release/Digest-SHA1   .*/Digest-SHA1-v?(\d[\d.-]*)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
